# -*- coding: utf-8 -*
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
import maya.cmds as cmds
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiPhysicalSkyTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.beginLayout("物理天空属性", collapse=False)
        
        self.addControl("turbidity", label="浑浊度")
        self.addControl("groundAlbedo", label="地面反射")
        
        self.addControl("elevation", label="海拔", annotation="WARNING : Linking rendertime graphs are not supported!")
        self.addControl("azimuth", label="方位", annotation="WARNING : Linking rendertime graphs are not supported!")
        self.addControl("intensity", label="强度")
        
        self.addSeparator()
        
        self.addControl("skyTint", label="天空色调")
        self.addControl("sunTint", label="太阳色调")
        self.addControl("sunSize", label="太阳大小")
        self.addControl("enableSun", label="启用太阳")
        
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()

